## spamfilter 1.1

=== Makefile ===
EMACS = emacs
# EMACS = xemacs
lispdir = ~/elisp
# lispdir = /usr/local/share/emacs/site-lisp

INSTALL = install -c
INSTALL_DATA = ${INSTALL} -m 644
# INSTALL = cp -p
# INSTALL_DATA = ${INSTALL}


all: chasen.elc japanese-tokenizer.elc spamfilter.elc spamfilter-wl.elc spamfilter-mew.elc

install:
	$(INSTALL_DATA) *.el *.elc $(lispdir)

clean:
	rm *.elc

chasen.elc: chasen.el
	$(EMACS) -batch -q -no-site-file -f batch-byte-compile ./chasen.el

japanese-tokenizer.elc: japanese-tokenizer.el
	$(EMACS) -batch -q -no-site-file -f batch-byte-compile ./japanese-tokenizer.el

spamfilter.elc: spamfilter.el
	$(EMACS) -batch -q -no-site-file -l ./chasen.el -l ./japanese-tokenizer.el -f batch-byte-compile ./spamfilter.el

spamfilter-wl.elc: spamfilter-wl.el
	$(EMACS) -batch -q -no-site-file -l ./chasen.el -l ./japanese-tokenizer.el -l ./spamfilter.el -f batch-byte-compile ./spamfilter-wl.el

spamfilter-mew.elc: spamfilter-mew.el
	$(EMACS) -batch -q -no-site-file -l ./chasen.el -l ./japanese-tokenizer.el -l ./spamfilter.el -f batch-byte-compile ./spamfilter-mew.el
