## spamfilter 1.3-1

=== debian/changelog ===
spamfilter (1.3-1) frozen unstable; urgency=low

  * Fixed extraneous caret (^) in OBVIOUSLYTO macro

 -- Brian White <bcwhite@pobox.com>  Fri, 22 May 1998 17:12:19 -0400

spamfilter (1.2-1) frozen unstable; urgency=low

  * Fixed TO check to better ignore BCC addresses (Bug#19987)
  * Made install script more accepting of existing setups (Bug#20421)
  * Added pointer to procmail man page for install probs (Bug#20421)

 -- Brian White <bcwhite@pobox.com>  Sat, 11 Apr 1998 15:30:40 -0400

spamfilter (1.1-1) unstable; urgency=low

  * Fixed outgoing-mail check for new exim "Received:" header

 -- Brian White <bcwhite@pobox.com>  Fri,  6 Mar 1998 00:17:10 -0500

spamfilter (1.0-1) unstable; urgency=low

  * First general release

 -- Brian White <bcwhite@pobox.com>  Mon, 9 Feb 1998 13:08:21 -0500

spamfilter (0.4-1) experimental; urgency=low

  * Fixed postinst for hamm

 -- Brian White <bcwhite@pobox.com>  Mon, 19 Jan 1998 17:48:45 -0500

spamfilter (0.3-1) experimental; urgency=low

  * Many improvements
  * Changed to use spamdb for the blacklist.

 -- Brian White <bcwhite@pobox.com>  Fri, 16 Jan 1998 10:31:46 -0500

spamfilter (0.2.0-1) experimental; urgency=low

  * Many improvements
  * Replaced chkmail/addpat scripts with client/server for speed

 -- Brian White <bcwhite@pobox.com>  Tue,  9 Dec 1997 01:17:47 -0500

spamfilter (0.1.0-1) experimental; urgency=low

  * First attempt

 -- Brian White <bcwhite@pobox.com>  Mon, 15 Sep 1997 20:00:29 -0400


Local variables:
mode: debian-changelog
End:
