## spamfilter 1.4-1

=== debian/changelog ===
spamfilter (1.4-1) unstable; urgency=low

  * Added relay[0-9]*.uu.net rule for nopassword.rules
  * Added more suggestions in nopassword.rules

 -- Brian White <bcwhite@pobox.com>  Wed, 21 Oct 1998 09:40:57 -0400
