=== debian/control ===
Source: spamfilter
Section: mail
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 2.1.3.2

Package: spamfilter
Architecture: any
Depends: procmail, perl, spamdb, debianutils (>= 1.6), ${shlibs:Depends}
Section: mail
Description: Filter spam from incoming mail
 This package contains a framework to make it easy to filter spam
 (i.e. junk email) from your incoming mail.  It is intended as a
 user-controlled filter that uses "spamdb" instead of being attached
 to the MTA as would otherwise be required.
 .
 All a user has to do is run "spamfilter" and edit one file to set
 personal information (email addresses, etc.) to have a fully
 functional spam filter on their incoming mail.
 .
 Once installed, the filter is infinitely customizable by the
 user via the rules of procmail.
