## spamfilter 1.9-1

=== src/Makefile ===
###############################################################################
#
# $Id: Makefile,v 1.2 1997/12/11 22:24:52 bcwhite Exp $
#
# Makefile for spam-filter source
#
BINDIR	= /usr/lib/spamfilter/bin

CC		= cc
CFLAGS	= -Wall -O2


all:	chkmail addpat

pattern-client:	pattern-client.o

chkmail:	pattern-client
	@rm -f $@
	ln pattern-client $@

addpat:	pattern-client
	@rm -f $@
	ln pattern-client $@


clean:
		rm -f *.o *.bak *~ \#* pattern-client chkmail addpat
