=== debian/changelog ===
spamfilter (1.9-1) unstable; urgency=low

  * fixed references to documentation files (closes: 95166, 98263)
  * removed references to invalid URLs (closes: 95642)

 -- Brian White <bcwhite@pobox.com>  Thu,  9 Aug 2001 23:19:11 -0400

spamfilter (1.8-1) unstable; urgency=low

  * Updated standards-version

 -- Brian White <bcwhite@pobox.com>  Sat, 13 Jan 2001 23:23:43 -0500

spamfilter (1.7-1) unstable; urgency=low

  * Remove dependancy on "spamdb" (Bug#60195)

 -- Brian White <bcwhite@pobox.com>  Sun,  6 Aug 2000 16:04:49 -0400

spamfilter (1.6-1) unstable; urgency=low

  * Patch to make it compile with glibc2.1 (Bug#31910)
  * Fixed dangling symlink (Bug#43569)

 -- Brian White <bcwhite@pobox.com>  Fri, 27 Aug 1999 15:27:52 -0400

spamfilter (1.5-1) unstable; urgency=low

  * Added more suggestions in nopassword.rules
  * Updated perl dependency (Bug#41500)

 -- Brian White <bcwhite@pobox.com>  Tue, 27 Jul 1999 10:06:53 -0400
