=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,14 @@
 	rm -rf debian/tmp
 	find . \( -name "*~" -o -name "#*" \) -exec rm -f {} \;
 	:
-	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
+	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/share/doc/$(package)
 	mkdir -p debian/tmp/usr/lib/$(package)/bin
 	mkdir -p debian/tmp/usr/lib/$(package)/perl
 	mkdir -p debian/tmp/usr/lib/$(package)/rules
 	mkdir -p debian/tmp/usr/lib/$(package)/defaults
-	mkdir -p debian/tmp/usr/doc/$(package)/messages
+	mkdir -p debian/tmp/usr/share/doc/$(package)/messages
 	mkdir -p debian/tmp/usr/bin
-	mkdir -p debian/tmp/usr/man/man1
+	mkdir -p debian/tmp/usr/share/man/man1
 	mkdir -p debian/tmp/usr/lib/spamdb/converters
 	:
 	for file in bin/* perl/* rules/* defaults/* ; do \
@@ -64,8 +64,9 @@
 			; \
 		fi; \
 	done
-	cp man/spamfilter.1 debian/tmp/usr/man/man1
-	chmod 644 debian/tmp/usr/man/*/*
+	cp man/spamfilter.1	debian/tmp/usr/share/man/man1
+	cp debian/copyright	debian/tmp/usr/share/doc/$(package)
+	chmod 644 debian/tmp/usr/share/man/*/*
 	chmod 755 debian/tmp/usr/lib/$(package)/bin/*
 	chmod 644 debian/tmp/usr/lib/$(package)/perl/*
 	chmod 644 debian/tmp/usr/lib/$(package)/rules/*
@@ -74,12 +75,12 @@
 	mv debian/tmp/usr/lib/$(package)/bin/spamfilter debian/tmp/usr/bin/
 	cd doc; for file in * ; do \
 		if [ -f $$file ]; then \
-			install -m 644 $$file ../debian/tmp/usr/doc/$(package)/$$file; \
+			install -m 644 $$file ../debian/tmp/usr/share/doc/$(package)/$$file; \
 		fi; \
 	done
 	for file in messages/* ; do \
 		if [ -f $$file ]; then \
-			install -m 644 $$file debian/tmp/usr/doc/$(package)/$$file; \
+			install -m 644 $$file debian/tmp/usr/share/doc/$(package)/$$file; \
 		fi; \
 	done
 	:
@@ -88,11 +89,12 @@
 	:
 	install -m 755 spamdb/converter debian/tmp/usr/lib/spamdb/converters/spamfilter
 	:
-	cp Change.Log debian/tmp/usr/doc/$(package)/changelog
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	cd debian/tmp/usr/doc/$(package); find . -type f | xargs gzip -9fv
-	cd debian/tmp/usr/man;            find . -type f | xargs gzip -9fv
-	cd debian/tmp/usr/doc/$(package); ln -sf ../copyright/GPL.gz copyright.gz
+	cp Change.Log debian/tmp/usr/share/doc/$(package)/changelog
+	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	cd debian/tmp/usr/share/doc/$(package); find . -type f | xargs gzip -9fv
+	cd debian/tmp/usr/share/man;            find . -type f | xargs gzip -9fv
+	gunzip debian/tmp/usr/share/doc/$(package)/copyright
+#	cd debian/tmp/usr/share/doc/$(package); ln -sf ../copyright/GPL copyright
 	:
 	install -m 755 debian/postinst	debian/tmp/DEBIAN
 	dpkg-shlibdeps debian/tmp/usr/lib/$(package)/bin/addpat debian/tmp/usr/lib/$(package)/bin/chkmail
